Eclipse GEF 3.2

## org.eclipse.gef.tools
Class ToolUtilities

    java.lang.Object
      org.eclipse.gef.tools.ToolUtilities

public class ToolUtilities
extends Object

Utilities for `Tools`.

Constructor Summary
`ToolUtilities()`

Method Summary
`static void` `filterEditPartsUnderstanding(List list, Request request)` Filters the given list of EditParts so that the list only contains the EditParts that understand the given request (i.e. return `true` from `EditPart.understandsRequest(Request)` when passed the given request).
`static EditPart` `findCommonAncestor(EditPart ll, EditPart rr)` Returns the common parent editpart for given pair of EditParts.
`static List` `getSelectionWithoutDependants(EditPartViewer viewer)` Returns a list containing the top level selected edit parts based on the viewer's selection.
`static List` `getSelectionWithoutDependants(List selectedParts)` Returns a list containing the top level selected edit parts based on the passed in list of selection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolUtilities

    public ToolUtilities()

Method Detail

### getSelectionWithoutDependants

    public static List getSelectionWithoutDependants(EditPartViewer viewer)

  Returns a list containing the top level selected edit parts based on the viewer's selection.

  Parameters:
    `viewer` - the viewer
  Returns:
    the selection excluding dependants

### getSelectionWithoutDependants

    public static List getSelectionWithoutDependants(List selectedParts)

  Returns a list containing the top level selected edit parts based on the passed in list of selection.

  Parameters:
    `selectedParts` - the complete selection
  Returns:
    the selection excluding dependants

### filterEditPartsUnderstanding

    public static void filterEditPartsUnderstanding(List list,
                                                    Request request)

  Filters the given list of EditParts so that the list only contains the EditParts that understand the given request (i.e. return `true` from `EditPart.understandsRequest(Request)` when passed the given request).

  Parameters:
    `list` - the list of edit parts to filter
    `request` - the request

### findCommonAncestor

    public static EditPart findCommonAncestor(EditPart ll,
                                              EditPart rr)

  Returns the common parent editpart for given pair of EditParts. If the two parts are identical, the result is that part. If the two parts do not have a common ancestor, some form of RuntimeException will be thrown.

  Parameters:
    `ll` - the first editpart
    `rr` - the second editpart
  Returns:
    the editpart which is the common ancestor.
  Since:
    3.1

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.